commit: 6cb2905fafdd2f2c0407c2bb4a1bc12b6f3126a9
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 5 13:16:54 2015 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sat Sep 5 13:18:30 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6cb2905f
dev-python/beautifulsoup: Tweak the chardet blocker
!dev-python/chardet[${PYTHON_USEDEP}] only blocks chardet if it happens to
have exactly the same python flags enabled.
We also need a hard blocker rather than a soft one.
Package-Manager: portage-2.2.20
dev-python/beautifulsoup/beautifulsoup-4.4.0.ebuild | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/dev-python/beautifulsoup/beautifulsoup-4.4.0.ebuild
b/dev-python/beautifulsoup/beautifulsoup-4.4.0.ebuild
index a5009b6..48f6ba4 100644
--- a/dev-python/beautifulsoup/beautifulsoup-4.4.0.ebuild
+++ b/dev-python/beautifulsoup/beautifulsoup-4.4.0.ebuild
@@ -26,8 +26,9 @@ RDEPEND="$(python_gen_cond_dep
'dev-python/html5lib[${PYTHON_USEDEP}]' python2_7
$(python_gen_cond_dep 'dev-python/lxml[${PYTHON_USEDEP}]'
python2_7 'python3*')"
DEPEND="doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
test? ( dev-python/nose[${PYTHON_USEDEP}]
- !dev-python/chardet[${PYTHON_USEDEP}] )"
+ !!dev-python/chardet )"
# See https://bugs.launchpad.net/beautifulsoup/+bug/1471359 to explain need
for blocker
+[[ ${PV} == 4.4.0 ]] || die "Don't forget to remove the chardet blocker!"
S=${WORKDIR}/${MY_P}